import { RestApiRequest, RestApiRoute, RestPathParams, RestQueryParams, RestRequestBody, RestRequestHeaders, RestResponseBody } from './types';
import { RequiredOnly } from './types/RequiredOnly';
export declare function fetchRestApi<PathParams extends RestPathParams, QueryParams extends RestQueryParams, RequestHeaders extends RestRequestHeaders, RequestBody extends RestRequestBody, ResponseBody extends RestResponseBody>(restApiUrl: string, route: RestApiRoute<PathParams, QueryParams, RequestHeaders, RequestBody, ResponseBody>, request: RequiredOnly<RestApiRequest<PathParams, QueryParams, RequestHeaders, RequestBody>>): Promise<ResponseBody>;
